[dpdk-dev] [PATCH 06/10] drivers/crypto: add reasons for components being disabled

Bruce Richardson bruce.richardson at intel.com
Wed Jun 5 22:22:44 CEST 2019


For each driver where we optionally disable it, add in the reason why it's
being disabled, so the user knows how to fix it.

Signed-off-by: Bruce Richardson <bruce.richardson at intel.com>
---
 drivers/crypto/aesni_gcm/meson.build | 5 +++--
 drivers/crypto/aesni_mb/meson.build  | 5 +++--
 drivers/crypto/caam_jr/meson.build   | 3 ++-
 drivers/crypto/ccp/meson.build       | 4 +++-
 drivers/crypto/dpaa2_sec/meson.build | 3 ++-
 drivers/crypto/dpaa_sec/meson.build  | 3 ++-
 drivers/crypto/kasumi/meson.build    | 1 +
 drivers/crypto/mvsam/meson.build     | 1 +
 drivers/crypto/octeontx/meson.build  | 1 +
 drivers/crypto/openssl/meson.build   | 1 +
 drivers/crypto/qat/meson.build       | 1 +
 drivers/crypto/snow3g/meson.build    | 1 +
 drivers/crypto/zuc/meson.build       | 1 +
 13 files changed, 22 insertions(+), 8 deletions(-)

diff --git a/drivers/crypto/aesni_gcm/meson.build b/drivers/crypto/aesni_gcm/meson.build
index 7183cfcba..3a6e332dc 100644
--- a/drivers/crypto/aesni_gcm/meson.build
+++ b/drivers/crypto/aesni_gcm/meson.build
@@ -5,6 +5,7 @@ IMB_required_ver = '0.52.0'
 lib = cc.find_library('IPSec_MB', required: false)
 if not lib.found()
 	build = false
+	reason = 'missing dependency, "libIPSec_MB"'
 else
 	ext_deps += lib
 
@@ -13,8 +14,8 @@ else
 		prefix : '#include<intel-ipsec-mb.h>').split('"')[1]
 
 	if (imb_ver == '') or (imb_ver.version_compare('<' + IMB_required_ver))
-		message('IPSec_MB version >= @0@ is required, found version @1@'.format(
-				IMB_required_ver, imb_ver))
+		reason = 'IPSec_MB version >= @0@ is required, found version @1@'.format(
+				IMB_required_ver, imb_ver)
 		build = false
 	endif
 endif
diff --git a/drivers/crypto/aesni_mb/meson.build b/drivers/crypto/aesni_mb/meson.build
index 7c1eb3f86..3e1687416 100644
--- a/drivers/crypto/aesni_mb/meson.build
+++ b/drivers/crypto/aesni_mb/meson.build
@@ -5,6 +5,7 @@ IMB_required_ver = '0.52.0'
 lib = cc.find_library('IPSec_MB', required: false)
 if not lib.found()
 	build = false
+	reason = 'missing dependency, "libIPSec_MB"'
 else
 	ext_deps += lib
 
@@ -13,8 +14,8 @@ else
 		prefix : '#include<intel-ipsec-mb.h>').split('"')[1]
 
 	if (imb_ver == '') or (imb_ver.version_compare('<' + IMB_required_ver))
-		message('IPSec_MB version >= @0@ is required, found version @1@'.format(
-				IMB_required_ver, imb_ver))
+		reason = 'IPSec_MB version >= @0@ is required, found version @1@'.format(
+				IMB_required_ver, imb_ver)
 		build = false
 	endif
 
diff --git a/drivers/crypto/caam_jr/meson.build b/drivers/crypto/caam_jr/meson.build
index e61a13c25..4c66dd844 100644
--- a/drivers/crypto/caam_jr/meson.build
+++ b/drivers/crypto/caam_jr/meson.build
@@ -2,7 +2,8 @@
 # Copyright 2018 NXP
 
 if not is_linux
-        build = false
+	build = false
+	reason = 'only supported on linux'
 endif
 
 deps += ['bus_vdev', 'bus_dpaa', 'security']
diff --git a/drivers/crypto/ccp/meson.build b/drivers/crypto/ccp/meson.build
index 071ccc5e7..6f7217adb 100644
--- a/drivers/crypto/ccp/meson.build
+++ b/drivers/crypto/ccp/meson.build
@@ -2,11 +2,13 @@
 # Copyright(c) 2018 Advanced Micro Devices, Inc. All rights reserved.
 
 if not is_linux
-        build = false
+	build = false
+	reason = 'only supported on linux'
 endif
 dep = dependency('libcrypto', required: false)
 if not dep.found()
 	build = false
+	reason = 'missing dependency, "libcrypto"'
 endif
 deps += 'bus_vdev'
 deps += 'bus_pci'
diff --git a/drivers/crypto/dpaa2_sec/meson.build b/drivers/crypto/dpaa2_sec/meson.build
index d197cda1a..23affa8a6 100644
--- a/drivers/crypto/dpaa2_sec/meson.build
+++ b/drivers/crypto/dpaa2_sec/meson.build
@@ -4,7 +4,8 @@
 version = 2
 
 if not is_linux
-        build = false
+	build = false
+	reason = 'only supported on linux'
 endif
 
 deps += ['security', 'mempool_dpaa2']
diff --git a/drivers/crypto/dpaa_sec/meson.build b/drivers/crypto/dpaa_sec/meson.build
index 134af88da..7b9a019b9 100644
--- a/drivers/crypto/dpaa_sec/meson.build
+++ b/drivers/crypto/dpaa_sec/meson.build
@@ -2,7 +2,8 @@
 # Copyright 2018 NXP
 
 if not is_linux
-        build = false
+	build = false
+	reason = 'only supported on linux'
 endif
 
 deps += ['bus_dpaa', 'security']
diff --git a/drivers/crypto/kasumi/meson.build b/drivers/crypto/kasumi/meson.build
index 0fa301740..90a3c4fe6 100644
--- a/drivers/crypto/kasumi/meson.build
+++ b/drivers/crypto/kasumi/meson.build
@@ -4,6 +4,7 @@
 lib = cc.find_library('sso_kasumi', required: false)
 if not lib.found() or not cc.has_header('sso_kasumi.h')
 	build = false
+	reason = 'missing dependency, "libsso_kasumi"'
 	subdir_done()
 endif
 
diff --git a/drivers/crypto/mvsam/meson.build b/drivers/crypto/mvsam/meson.build
index f1c879663..6d97dc8a2 100644
--- a/drivers/crypto/mvsam/meson.build
+++ b/drivers/crypto/mvsam/meson.build
@@ -10,6 +10,7 @@ inc_dir = path + '/include'
 lib = cc.find_library('libmusdk', dirs: [lib_dir], required: false)
 if not lib.found()
 	build = false
+	reason = 'missing dependency, "libmusdk"'
 else
 	ext_deps += lib
 	includes += include_directories(inc_dir)
diff --git a/drivers/crypto/octeontx/meson.build b/drivers/crypto/octeontx/meson.build
index a9f2d3157..63a59c51a 100644
--- a/drivers/crypto/octeontx/meson.build
+++ b/drivers/crypto/octeontx/meson.build
@@ -2,6 +2,7 @@
 # Copyright(c) 2018 Cavium, Inc
 if not is_linux
 	build = false
+	reason = 'only supported on linux'
 endif
 
 deps += ['bus_pci']
diff --git a/drivers/crypto/openssl/meson.build b/drivers/crypto/openssl/meson.build
index d56a32366..394e74c9e 100644
--- a/drivers/crypto/openssl/meson.build
+++ b/drivers/crypto/openssl/meson.build
@@ -4,6 +4,7 @@
 dep = dependency('libcrypto', required: false)
 if not dep.found()
 	build = false
+	reason = 'missing dependency, "libcrypto"'
 endif
 allow_experimental_apis = true
 deps += 'bus_vdev'
diff --git a/drivers/crypto/qat/meson.build b/drivers/crypto/qat/meson.build
index 710b081ff..fc65923a7 100644
--- a/drivers/crypto/qat/meson.build
+++ b/drivers/crypto/qat/meson.build
@@ -4,6 +4,7 @@
 # this does not build the QAT driver, instead that is done in the compression
 # driver which comes later. Here we just add our sources files to the list
 build = false
+reason = '' # sentinal value to suppress printout
 dep = dependency('libcrypto', required: false)
 qat_includes += include_directories('.')
 qat_deps += 'cryptodev'
diff --git a/drivers/crypto/snow3g/meson.build b/drivers/crypto/snow3g/meson.build
index c566a5f67..0e8742ab9 100644
--- a/drivers/crypto/snow3g/meson.build
+++ b/drivers/crypto/snow3g/meson.build
@@ -4,6 +4,7 @@
 lib = cc.find_library('sso_snow3g', required: false)
 if not lib.found() or not cc.has_header('sso_snow3g.h')
 	build = false
+	reason = 'missing dependency, "libsso_snow3g"'
 	subdir_done()
 endif
 
diff --git a/drivers/crypto/zuc/meson.build b/drivers/crypto/zuc/meson.build
index fc2900244..b231de0ba 100644
--- a/drivers/crypto/zuc/meson.build
+++ b/drivers/crypto/zuc/meson.build
@@ -4,6 +4,7 @@
 lib = cc.find_library('sso_zuc', required: false)
 if not lib.found() or not cc.has_header('sso_zuc.h')
 	build = false
+	reason = 'missing dependency, "libsso_zuc"'
 	subdir_done()
 endif
 
-- 
2.21.0



More information about the dev mailing list